> For the complete documentation index, see [llms.txt](https://docs.billflow.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.billflow.io/no-code-integrations/no-code-app-builders/wordpress/advanced-usage.md).

# Advanced Usage

## APIs

### Add Custom Frontend logics

Implement this function allows you to implement frontend logics that will run after after subscription creation.&#x20;

#### How?

Define the following function in any of your js files, such as in your custom theme files, and implement any logic you’d like within the body.

```javascript
window.billflow_wp_handle_response = function myHandleResponseFunction({event, response, extras}){
	// your custom handling logic goes here
		console.log('called servicebot_wp_handle_response', response)
    console.log('event:' event)
}
```

| Param             | Description                                                                        |
| ----------------- | ---------------------------------------------------------------------------------- |
| event (string)    | 'create\_subscription'                                                             |
| response (object) | The Stripe [subscription object](https://stripe.com/docs/api/subscriptions/object) |
| extras (object)   | Contains extra information from the Billflow frontend                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.billflow.io/no-code-integrations/no-code-app-builders/wordpress/advanced-usage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
